screen = {}
screen.x = 1000
screen.y = -700
screen.scale = 0.5
gravity = 70
debug = false

require "player"
require "world"


function love.load()
	load_map()
	
end

function love.update(dt)
	player_update(dt)

end
function love.draw()
	
	love.graphics.push()
	love.graphics.scale(screen.scale, screen.scale)
	world_draw()
	player_draw()
	love.graphics.pop()
end

function love.keypressed(key)
   if key == "escape" then
      love.event.push("quit")
   end
   --if key == "q" then
		--screen.scale = screen.scale/screen.scale

		--player.x = (love.graphics:getWidth() / screen.scale)/2
		--player.y = (love.graphics:getHeight() / screen.scale)/2
		
		
   --end
	--if key == "e" then
		--screen.scale = screen.scale*2
		--player.x = (love.graphics:getWidth() / screen.scale)/2
		--player.y = (love.graphics:getHeight() / screen.scale)/2
		
		--screen.x = screen.x -(love.graphics:getWidth() / screen.scale)/2
		--screen.y = screen.y +(love.graphics:getHeight() / screen.scale)/2
   --end
end

function CheckCollision(ax1,ay1,aw,ah, bx1,by1,bw,bh)

  local ax2,ay2,bx2,by2 = ax1 + aw, ay1 + ah, bx1 + bw, by1 + bh
  return ax1 < bx2 and ax2 > bx1 and ay1 < by2 and ay2 > by1
end