
levelmap = love.graphics.newImage("map4.png")
imageData = love.image.newImageData("map4.png")
spike = love.graphics.newImage("spike.png")
tileSize = 50

ob = {}
sp = {}
tp = {}
function load_map()

	for i=0,levelmap:getHeight() - 1 do
		for j=0,levelmap:getWidth() - 1 do
			r, g, b, a = imageData:getPixel( j,i)
			if(r == 255 and g == 255 and b == 255) then
				o = {}
				o.x = j * tileSize
				o.y = i * tileSize
				o.w = tileSize
				o.h = tileSize
				table.insert(ob,o)
			end
			if(r == 0 and g == 0 and b == 255) then
				s = {}
				s.x = j * tileSize
				s.y = i * tileSize
				s.w = tileSize
				s.h = tileSize
				table.insert(sp,s)
			end
			if(r == 0 and g == 255 and b == 0) then
				p = {}
				p.x = j * tileSize
				p.y = i * tileSize
				p.w = tileSize
				p.h = tileSize
				table.insert(tp,p)
			end
		end
	end	
end

function world_draw()
	for i,v in ipairs(ob) do
		if(v.x + screen.x - love.graphics.getWidth() < love.graphics.getWidth() and v.x + screen.x > 0) then
			love.graphics.rectangle("fill",v.x + screen.x,v.y - screen.y,v.w,v.h)
		end
	end
	for i,v in ipairs(sp) do
		--love.graphics.setColor(0,0,255)
		--love.graphics.rectangle("fill",v.x + screen.x,v.y - screen.y,v.w,v.h)
		--love.graphics.setColor(255,255,255)
		love.graphics.draw(spike,v.x+screen.x, v.y - screen.y)
	end
	for i,v in ipairs(tp) do
		love.graphics.setColor(0,255,0)
		love.graphics.rectangle("fill",v.x + screen.x,v.y - screen.y,v.w,v.h)
		love.graphics.setColor(255,255,255)
	end
	


end